Associate Schedule

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/schedule
API call form
Examples

A schedule is an automated task that controls one of the following:

  • an alert for a chart on a dashboard

  • an export of a dashboard or a chart

  • a synchronization of a dataset, either as a Warp acceleration sync or as a sync of a webservice based dataset (like Google Drive, Asana or others)

Schedules are automatically associated to users upon creation (this association cannot be created manually) and need to then be associated to a dashboard or dataset in order to take effect.

Request parametersResponse schema
Expand all Reset
id *UUIDrequired

The unique identifier of the entity

resource *OBJECTrequired
role *STRINGrequired
id *UUIDrequired
Can be executed by:
Entity Modifier
Can be associated to:
Alert
Securable
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "29db3c0e-be2b-488b-9b54-d1d9ae9dff3a",
  "task": null,
  "started_at": "2018-09-03T12:38:18.614Z",
  "frequency_quantity": 1,
  "frequency_unit": "day",
  "retries": 0,
  "active": true,
  "completed_at": "2018-09-03T12:38:18.614Z",
  "created_at": "2018-09-03T12:38:18.630Z",
  "updated_at": "2018-09-03T12:38:18.656Z",
  "last_execution_status": "completed",
  "last_execution_error": null,
  "last_execution_warning": null,
  "user_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda",
  "securable_id": "b3cfbfc2-a9c0-48e3-b726-b93bdb569bfa",
  "scheduled_at": "2018-09-04T12:38:18.614Z",
  "timezone": "Europe/Brussels"
}